DAOS API: daos_obj_list_t Struct Reference

| DAOS API (v2.1 - dev)

Loading...
Searching...
No Matches
daos_obj_list_t Struct Reference

`#include <daos_task.h>`

## Data Fields
daos_handle_t | oh
daos_handle_t | th
daos_key_t * | dkey
daos_key_t * | akey
uint32_t * | nr
daos_key_desc_t * | kds
d_sg_list_t * | sgl
daos_size_t * | size
daos_iod_type_t | type
daos_recx_t * | recxs
daos_epoch_range_t * | eprs
daos_anchor_t * | anchor
daos_anchor_t * | dkey_anchor
daos_anchor_t * | akey_anchor
uint32_t * | versions
d_iov_t * | csum
bool | incr_order

## Detailed Description

Object list args

Definition at line 757 of file daos_task.h.

## Field Documentation

## ◆ akey

daos_key_t* akey

Attribute key.

Definition at line 765 of file daos_task.h.

## ◆ akey_anchor

daos_anchor_t* akey_anchor

anchor for list_akey.

Definition at line 791 of file daos_task.h.

## ◆ anchor

daos_anchor_t* anchor

anchor for list_recx. anchors for obj list - list_dkey uses dkey_anchor, list_akey uses akey_anchor, list_recx uses anchor, list_obj uses all the 3 anchors.

Definition at line 787 of file daos_task.h.

## ◆ csum

d_iov_t* csum

Serialized checksum info for enumerated keys and data in sgl. (for internal use only)

Definition at line 797 of file daos_task.h.

## ◆ dkey

daos_key_t* dkey

Distribution key.

Definition at line 763 of file daos_task.h.

## ◆ dkey_anchor

daos_anchor_t* dkey_anchor

anchor for list_dkey.

Definition at line 789 of file daos_task.h.

## ◆ eprs

daos_epoch_range_t* eprs

epoch ranges

Definition at line 779 of file daos_task.h.

## ◆ incr_order

bool incr_order

order.

Definition at line 799 of file daos_task.h.

## ◆ kds

daos_key_desc_t* kds

Key descriptors holding enumerated keys.

Definition at line 769 of file daos_task.h.

## ◆ nr

uint32_t* nr

number of dkeys/akeys/kds entries

Definition at line 767 of file daos_task.h.

## ◆ oh

daos_handle_t oh

Object open handle

Definition at line 759 of file daos_task.h.

## ◆ recxs

daos_recx_t* recxs

record extents.

Definition at line 777 of file daos_task.h.

## ◆ sgl

d_sg_list_t* sgl

Scatter gather list for memory buffer.

Definition at line 771 of file daos_task.h.

## ◆ size

daos_size_t* size

total buf size for sgl buf, in case it uses bulk transfer.

Definition at line 773 of file daos_task.h.

## ◆ th

daos_handle_t th

Transaction open handle.

Definition at line 761 of file daos_task.h.

## ◆ type

daos_iod_type_t type

type of value.

Definition at line 775 of file daos_task.h.

## ◆ versions

uint32_t* versions

versions.

Definition at line 793 of file daos_task.h.

The documentation for this struct was generated from the following file:

- src/include/daos_task.h